package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgO2;
import com.szpg.db.data.PgO2Alm;

/**
 * 氧气相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgO2Dao {

	/******** 氧气浓度变量值 ********/
	public List<PgO2> findAllPblz();
	public PgO2 findPblzById(Integer id);
	
	public List<PgO2> findPblzByDevice(Integer deviceid);
	public List<PgO2> findPblzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addPblzRecord(PgO2 ch4);
	public int addPblzRecord(float value, String tm, int deviceid);
	
	
	/******** 氧气浓度报警状态 ********/
	public List<PgO2Alm> findAllSbjz();
	public PgO2Alm findSbjzById(Integer id);
	
	public List<PgO2Alm> findSbjzByDevice(Integer deviceid);
	public List<PgO2Alm> findSbjzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addSbjzRecord(PgO2Alm ch4alm);
	public int addSbjzRecord(boolean status, String tm, int deviceid);
}
